        !COMPILER-GENERATED INTERFACE MODULE: Fri Oct  3 15:06:46 2014
        MODULE DISTURBENV__genmod
          INTERFACE 
            SUBROUTINE DISTURBENV(CFGFILE,XZ_POTTEMP,XZ_EXNER,PZ_VELX,  &
     &XR_VELZ,XZA_MIXRT,XZ_KM,XZ_KH)
              USE GRIDSET, ONLY :                                       &
     &          DIMXMIN,                                                &
     &          DIMXMAX,                                                &
     &          REGXMIN,                                                &
     &          REGXMAX,                                                &
     &          DIMZMIN,                                                &
     &          DIMZMAX,                                                &
     &          REGZMIN,                                                &
     &          REGZMAX,                                                &
     &          MARGINZ,                                                &
     &          DELZ,                                                   &
     &          SPCNUM,                                                 &
     &          XMIN,                                                   &
     &          XMAX,                                                   &
     &          ZMIN,                                                   &
     &          ZMAX,                                                   &
     &          S_X,                                                    &
     &          S_Z
              CHARACTER(*), INTENT(IN) :: CFGFILE
              REAL(KIND=8), INTENT(OUT) :: XZ_POTTEMP(DIMXMIN:DIMXMAX,  &
     &DIMZMIN:DIMZMAX)
              REAL(KIND=8), INTENT(OUT) :: XZ_EXNER(DIMXMIN:DIMXMAX,    &
     &DIMZMIN:DIMZMAX)
              REAL(KIND=8), INTENT(OUT) :: PZ_VELX(DIMXMIN:DIMXMAX,     &
     &DIMZMIN:DIMZMAX)
              REAL(KIND=8), INTENT(OUT) :: XR_VELZ(DIMXMIN:DIMXMAX,     &
     &DIMZMIN:DIMZMAX)
              REAL(KIND=8), INTENT(OUT) :: XZA_MIXRT(DIMXMIN:DIMXMAX,   &
     &DIMZMIN:DIMZMAX,SPCNUM)
              REAL(KIND=8), INTENT(OUT) :: XZ_KM(DIMXMIN:DIMXMAX,DIMZMIN&
     &:DIMZMAX)
              REAL(KIND=8), INTENT(OUT) :: XZ_KH(DIMXMIN:DIMXMAX,DIMZMIN&
     &:DIMZMAX)
            END SUBROUTINE DISTURBENV
          END INTERFACE 
        END MODULE DISTURBENV__genmod
